.modal {
  position: absolute;
}

.modal--show {
  display: flex;
}

.modal--hide {
  display: none;
}

.modal__context {
  z-index: 2;
}

.overlay {
  z-index: 1;
  height: 100%;
  width: 100%;
  position: fixed;
  opacity: 0.5;
  background-color: grey;
  left: 0;
  top: 0;
}